Subject: Re: bug#35623: guix pull failed on RHEL7

From: [email-masked]
Date: Tue, 7 May 2019 21:53:21 +0200 (CEST)

Hi Karrick,
Is this a regular user or a user you logged into over ssh and authorized 
via pam_ldap or similar? I have noticed similar error but had no problems 
with guix pull for root user or manually created users.

Best regards,
David L

On Tue, 7 May 2019, Karrick McDermott wrote:

> Note, I ran this with non privileged permissions, which might be wrong.  I am only sending this email because the program requested it.
>
>
> [kmcdermo@kmcdermo-ld2 ~]$ uname -a
> Linux kmcdermo-ld2.linkedin.biz 3.10.0-514.55.4.el7.x86_64 #1 SMP Fri Aug 10 17:03:02 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
>
> [kmcdermo@kmcdermo-ld2 ~]$ guix pull
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> Building from this channel:
>  guix      https://git.savannah.gnu.org/git/guix.git   338defe
> Computing Guix derivation for 'x86_64-linux'...  Backtrace:
> In ice-9/boot-9.scm:
>   222:29 19 (map1 (((guix i18n)) ((guix colors)) ((guix gexp)) (#) ?))
>   222:29 18 (map1 (((guix colors)) ((guix gexp)) ((guix sets)) (#) ?))
>   222:29 17 (map1 (((guix gexp)) ((guix sets)) ((guix utils)) (#) ?))
>   222:29 16 (map1 (((guix sets)) ((guix utils)) ((guix store)) (#) ?))
>   222:29 15 (map1 (((guix utils)) ((guix store)) ((guix config)) # ?))
>   222:29 14 (map1 (((guix store)) ((guix config)) ((guix #)) ((?)) ?))
>   222:29 13 (map1 (((guix config)) ((guix packages)) ((guix #)) # ?))
>   222:29 12 (map1 (((guix packages)) ((guix profiles)) ((guix #)) ?))
>   222:17 11 (map1 (((guix profiles)) ((guix derivations)) ((# #)) ?))
>  2800:17 10 (resolve-interface (guix profiles) #:select _ #:hide _ # ?)
> In ice-9/threads.scm:
>    390:8  9 (_ _)
> In ice-9/boot-9.scm:
>  2726:13  8 (_)
> In ice-9/threads.scm:
>    390:8  7 (_ _)
> In ice-9/boot-9.scm:
>  2994:20  6 (_)
>   2312:4  5 (save-module-excursion #<procedure 2adf2d0 at ice-9/boo?>)
>  3014:26  4 (_)
> In unknown file:
>           3 (primitive-load-path "guix/profiles" #<procedure 292eae?>)
> In ./guix/profiles.scm:
>  1788:23  2 (_)
> In ./guix/utils.scm:
>   661:47  1 (xdg-directory _ "/.config" #:ensure? _)
> In unknown file:
>           0 (getpw 10452)
>
> ERROR: In procedure getpw:
> In procedure getpw: entry not found
> -guix pull: error: You found a bug: the program '/gnu/store/4hsmk7kh62yvbi154pyy3nq8drml116a-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "338defe0cbe156e8416647035403fccf059555e0"; system: "x86_64-linux";
> host version: "1.0.0"; pull-version: 1).
> Please report it by email to <[email-masked]>.
>
>